#pragma once

#include "CoreMinimal.h"
#include "SubstanceConnection.generated.h"

USTRUCT(BlueprintType)
struct FSubstanceConnection
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString OutputIdentifier;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString InputImageIdentifier;

public:
	SUBSTANCECORE_API FSubstanceConnection();
};

FORCEINLINE uint32 GetTypeHash(const FSubstanceConnection) { return 0; }
